The RTI OpenShift cartridge is designed to operate in the latest OpenShift environments and has the following requirements and limitations.
  • You must have an OpenShift account on either OpenShift Online, Origin, or Enterprise.
  • The application must use version 2 cartridges.
  • The application must use a JBoss or Tomcat cartridge.
  • The OpenShift environment must support downloadable cartridges.
  • The OpenShift environment must have public Internet access (to download the cartridge).
  • You must be able to connect to your OpenShift gear using scp (or the equivalent) to install an RTI license.
  • You may want to have the OpenShift client tools (rhc) installed.
  • At present, the RTI cartridge collects performance data only from the primary gear, and is not scalable.